Loading...
Searching...
No Matches
casacore::CompositeNumber Class Reference
casa package (libcasa_casa) » Utilities_module

More...

`#include <CompositeNumber.h>`

## Public Member Functions

| CompositeNumber (const uInt maxval=8192)
| constructor: Note: if you later make a call with value > maxval, we will recalculate the list of composite numbers
| ~CompositeNumber ()
| destructor
uInt | nextLarger (const uInt value)
| return the next larger composite number
uInt | nextSmaller (const uInt value)
| return the next smaller composite number
uInt | nearest (const uInt value)
| return the nearest composite number
uInt | nextLargerEven (const uInt value)
| return the next larger even composite number
uInt | nextSmallerEven (const uInt value)
| return the next smaller even composite number
uInt | nearestEven (const uInt value)
| return the closest even composite number
Bool | isComposite (const uInt value)
| returns True is value is composite

## Private Member Functions

void | generate (const uInt maxval)

## Private Attributes

Block< uInt > | itsNumbers
uInt | itsMaxComplete

## Detailed Description

This class generates composite numbers

### Intended use:

Public interface

### Synopsis

This class generates a list of composite numbers made up of powers of 2, 3, and 5, which are less than some max value and returns the smallest composite number greater than some number given.

### Example

CompositeNumber cn(1000);
Int n = cn.nextLarger(319);
Int m = cn.nextSmaller(462);
Int l = cn.nearest(462);
casacore::CompositeNumber::CompositeNumber
CompositeNumber(const uInt maxval=8192)
constructor: Note: if you later make a call with value > maxval, we will recalculate the list of comp...
casacore::Int
int Int
Definition aipstype.h:48

Definition at line 55 of file CompositeNumber.h.

## Constructor & Destructor Documentation

## CompositeNumber()

casacore::CompositeNumber::CompositeNumber | ( | const uInt | maxval = 8192 | ) |

constructor: Note: if you later make a call with value > maxval, we will recalculate the list of composite numbers

## ~CompositeNumber()

casacore::CompositeNumber::~CompositeNumber | ( |  | ) |

destructor

## Member Function Documentation

## generate()

void casacore::CompositeNumber::generate | ( | const uInt | maxval | ) |

private

## isComposite()

Bool casacore::CompositeNumber::isComposite | ( | const uInt | value | ) |

returns True is value is composite

References casacore::NewDelAllocator< T >::value.

## nearest()

uInt casacore::CompositeNumber::nearest | ( | const uInt | value | ) |

return the nearest composite number

References casacore::NewDelAllocator< T >::value.

## nearestEven()

uInt casacore::CompositeNumber::nearestEven | ( | const uInt | value | ) |

return the closest even composite number

References casacore::NewDelAllocator< T >::value.

## nextLarger()

uInt casacore::CompositeNumber::nextLarger | ( | const uInt | value | ) |

return the next larger composite number

References casacore::NewDelAllocator< T >::value.

## nextLargerEven()

uInt casacore::CompositeNumber::nextLargerEven | ( | const uInt | value | ) |

return the next larger even composite number

References casacore::NewDelAllocator< T >::value.

## nextSmaller()

uInt casacore::CompositeNumber::nextSmaller | ( | const uInt | value | ) |

return the next smaller composite number

References casacore::NewDelAllocator< T >::value.

## nextSmallerEven()

uInt casacore::CompositeNumber::nextSmallerEven | ( | const uInt | value | ) |

return the next smaller even composite number

References casacore::NewDelAllocator< T >::value.

## Member Data Documentation

## itsMaxComplete

uInt casacore::CompositeNumber::itsMaxComplete

private

Definition at line 90 of file CompositeNumber.h.

## itsNumbers

Block<uInt> casacore::CompositeNumber::itsNumbers

private

Definition at line 89 of file CompositeNumber.h.

The documentation for this class was generated from the following file:

- casa/Utilities/CompositeNumber.h